Bug 518529 - "Wait" cursor is displayed after failure to access networked repository info
Summary: "Wait" cursor is displayed after failure to access networked repository info
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 11
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Radek Vykydal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-20 18:51 UTC by Charlweed Hymerfan
Modified: 2010-02-23 19:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-23 19:22:43 UTC


Attachments (Terms of Use)

Description Charlweed Hymerfan 2009-08-20 18:51:56 UTC
Description of problem:

If there is a problem configuring a network device during installation, anaconda displays an error dialog. When the dialog is closed, a "Wait" mouse cursor is displayed, indicating that Anaconda is busy or something, and the user needs to wait before proceeding. 
Actually, Anaconda is NOT waiting, and "Back" and "Next" buttons and the rest of the GUI do work if clicked.


Anaconda 11.5.0.59


How reproducible:
Every time

Steps to Reproduce:
1. Boot from installation media
2. Proceed to the package selection screen
3. Select "Updates" repository,(Network information is requested)
4. Specify INVALID IP, netmask, gateway, or nameservers, to prevent correct repository access
5. Wait 5min+ for the error dialog to be displayed (This is FAR too long to wait, a cancel dialog should be shown in the meantime!)
6. Close the diqalog.

  
Actual results:
Wait mouse cursor is displayed.

Expected results:
regular arrow mouse cursor is displayed.

Additional info:

Comment 1 Radek Vykydal 2009-09-14 12:14:03 UTC
This should be fixed in version 12.25 of anaconda.
Thanks for the report.


Note You need to log in before you can comment on or make changes to this bug.